## org.eclipse.emf.compare.diff.metamodel
Interface ResourceDependencyChange

All Superinterfaces:
  DiffElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ResourceDiff

All Known Subinterfaces:
  ResourceDependencyChangeLeftTarget, ResourceDependencyChangeRightTarget

All Known Implementing Classes:
  ResourceDependencyChangeImpl, ResourceDependencyChangeLeftTargetImpl, ResourceDependencyChangeRightTargetImpl

    public interface ResourceDependencyChange

extends ResourceDiff

A representation of the model object 'Resource Dependency Change'. Superclass of DiffElements representing additions or removals of references towards a third-party resource.

The following features are supported:

- `Roots`

See Also:
  `DiffPackage.getResourceDependencyChange()`

Method Summary
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getRoots()` Returns the value of the 'Roots' reference list.

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRoots

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getRoots()

  Returns the value of the 'Roots' reference list. The list contents are of type `EObject`.

  If the meaning of the 'Roots' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Roots' reference list.
  See Also:
    `DiffPackage.getResourceDependencyChange_Roots()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.